Name:      opt-python38
Version:   3.8.2
Release:   1.vision4.vision4
Summary:	Python 3.8 in /opt/python38
License:	Python
URL:	        https://www.python.org/
Source0:        https://www.python.org/ftp/python/%{version}/Python-%{version}.tgz
Source1:        python_ssl_setup.local
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  bzip2-devel 
BuildRequires:  gdbm-devel 
BuildRequires:  libffi-devel 
BuildRequires:  libuuid-devel
BuildRequires:  ncurses-devel 
BuildRequires:	opt-openssl11
BuildRequires:  readline-devel 
BuildRequires:  sqlite-devel 
BuildRequires:  xz-devel 
BuildRequires:  zlib-devel 
Requires:       bzip2-libs
Requires:       gdbm 
Requires:       libffi 
Requires:       libuuid 
Requires:       ncurses-libs
Requires:       opt-openssl11
Requires:       readline 
Requires:       sqlite 
Requires:       xz-libs
Requires:       zlib 
AutoReq: 0

%global pyrootdir /opt/python38

# attempts to turn off rpm bytecompiling with the wrong copy of python
%global __os_install_post    \
    /usr/lib/rpm/redhat/brp-compress \
    %{!?__debug_package:\
    /usr/lib/rpm/redhat/brp-strip %{__strip} \
    /usr/lib/rpm/redhat/brp-strip-comment-note %{__strip} %{__objdump} \
    } \
    /usr/lib/rpm/redhat/brp-strip-static-archive %{__strip} \
    %{!?__jar_repack:/usr/lib/rpm/redhat/brp-java-repack-jars} \
%{nil}

%description
Generic build of python 3.8.x installed in /opt/python38

%prep
%setup -q -n Python-%{version}
cp %{SOURCE1} Modules/Setup.local

%build
export LDFLAGS="-Wl,-rpath=/opt/openssl11/lib"
./configure --prefix=%{pyrootdir} --with-system-ffi \
  --with-openssl=/opt/openssl11
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p" install

%files
%defattr(-,root,root,-)
%{pyrootdir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue May 12 2020 Vision4 Importer <nobody@ncsu.edu> - 3.8.2-1.vision4.vision4
- Imported to Vision4 Repo


